SUSE SLED15 / SLES15セキュリティ更新プログラム:perl(SUSE-SU-2020:1682-1)

high Nessus プラグイン ID 138276

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

perl用のこの更新では、次の問題を修正しています:

CVE-2020-10543:攻撃者のデータで割り当てられたメモリが上書きされる可能性のある、正規表現コンパイラにおけるヒープバッファオーバーフローを修正しました(bsc#1171863)。

CVE-2020-10878:コンパイル済み形態のPerl正規表現への命令の挿入を可能にする複数の整数オーバーフローを修正しました(bsc#1171864)。

CVE-2020-12723:攻撃者によるコンパイル済み正規表現の中間言語状態の破損を修正しました(bsc#1171866)。

features.ph内の不適切な警告を修正しました(bsc#1172348)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Server for SAP 15:

zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2020-1682=1

SUSE Linux Enterprise Server 15-LTSS:

zypper in -t patch SUSE-SLE-Product-SLES-15-2020-1682=1

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2:

zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2020-1682=1

SUSE Linux Enterprise Module for Development Tools 15-SP2:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP2-2020-1682=1

SUSE Linux Enterprise Module for Development Tools 15-SP1:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-1682=1

SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-1682=1

SUSE Linux Enterprise Module for Basesystem 15-SP1:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-1682=1

SUSE Linux Enterprise High Performance Computing 15-LTSS:

zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1682=1

SUSE Linux Enterprise High Performance Computing 15-ESPOS:

zypper in -t patch SUSE-SLE-Product-HPC-15-2020-1682=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1171863

https://bugzilla.suse.com/show_bug.cgi?id=1171864

https://bugzilla.suse.com/show_bug.cgi?id=1171866

https://bugzilla.suse.com/show_bug.cgi?id=1172348

https://www.suse.com/security/cve/CVE-2020-10543/

https://www.suse.com/security/cve/CVE-2020-10878/

https://www.suse.com/security/cve/CVE-2020-12723/

http://www.nessus.org/u?2d9ccf1c

プラグインの詳細

深刻度: High

ID: 138276

ファイル名: suse_SU-2020-1682-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2020/7/9

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2020-10878

VPR

リスクファクター: Medium

スコア: 5.5

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.6

Temporal Score: 7.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:perl, p-cpe:/a:novell:suse_linux:perl-32bit-debuginfo, p-cpe:/a:novell:suse_linux:perl-base, p-cpe:/a:novell:suse_linux:perl-base-32bit-debuginfo, p-cpe:/a:novell:suse_linux:perl-base-debuginfo, p-cpe:/a:novell:suse_linux:perl-debuginfo, p-cpe:/a:novell:suse_linux:perl-debugsource, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/6/19

脆弱性公開日: 2020/6/5

参照情報

CVE: CVE-2020-10543, CVE-2020-10878, CVE-2020-12723